summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2009-11-22 11:36:13 +0100
committerWaldemar Brodkorb <wbx@openadk.org>2009-11-22 11:36:13 +0100
commit15f7f8f402eab5b7cd03094c358435c4c880b5b6 (patch)
treedcad0212391e8a9fbb89423d8b9b58ba6466420c /scripts
parent79d3532b0f8f04ec07788c997b24162cdaab8b26 (diff)
more bulk build fixes
- update rtorrent, libtorrent and libsigc++ - add skeleton for cfinstaller - fix uclibc samba compile - fix parallel builds - update tcl - update iw - remove mac80211 package, use kernel integrated drivers - mark packages which can not be compiled parallel (make -j2)
Diffstat (limited to 'scripts')
-rw-r--r--scripts/scan-pkgs.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index 0e38b35c1..b1292f7e2 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -71,6 +71,10 @@ if [[ -n $ADK_PACKAGE_DANSGUARDIAN ]]; then
NEED_PKGCONFIG="$NEED_PKGCONFIG dansguardian"
fi
+if [[ -n $ADK_PACKAGE_XKEYBOARD_CONFIG ]]; then
+ NEED_INTL="$NEED_INTL xkeyboard-config"
+fi
+
if [[ -n $ADK_PACKAGE_GLIB ]]; then
NEED_GLIBZWO="$NEED_GLIBZWO glib"
NEED_GETTEXT="$NEED_GETTEXT glib"
@@ -109,6 +113,13 @@ if [[ -n $NEED_SSLDEV ]]; then
fi
fi
+if [[ -n $NEED_INTL ]]; then
+ if ! which intltool-update >/dev/null 2>&1; then
+ echo >&2 You need intltool-update to build $NEED_INTL
+ out=1
+ fi
+fi
+
if [[ -n $NEED_BISON ]]; then
if ! which bison >/dev/null 2>&1; then
echo >&2 You need bison to build $NEED_BISON